package windows;

/**
 * Clase que representa un lenguaje.
 * Clase base para todos los lenguajes.
 *
 * @version 0.3
*/
public abstract class Language {
	private final int myId;

	/**
	 * Construcor protegido
         * @param id    numero de identificacion de la palabra
	*/
	protected Language (int id){
		myId = id;
	}
	/**
	 * Se obtiene el id de la palabra
	 * @return myId		id de la palabra
	*/
	protected int getId(){
		return myId;
	}
	public abstract void setWord(String s);
	public abstract String getWord();
	public abstract String getDescription();
	public abstract String getLanguage();
	public abstract int getLangID();
}
